Package it.ernytech.tdlib

## Class TdApi.CallbackQueryPayloadGame

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CallbackQueryPayload
    - - it.ernytech.tdlib.TdApi.CallbackQueryPayloadGame

Enclosing class:
  TdApi

    public static class TdApi.CallbackQueryPayloadGame
    extends TdApi.CallbackQueryPayload

The payload from a game callback button.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `gameShortName` A short name of the game that was attached to the callback button.

### Constructor Summary

Constructors
`CallbackQueryPayloadGame()` Default constructor.
`CallbackQueryPayloadGame​(java.lang.String gameShortName)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### gameShortName

    public java.lang.String gameShortName

A short name of the game that was attached to the callback button.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CallbackQueryPayloadGame

    public CallbackQueryPayloadGame()

Default constructor.

#### CallbackQueryPayloadGame

    public CallbackQueryPayloadGame​(java.lang.String gameShortName)

Constructor for initialization of all fields.

Parameters:
  `gameShortName` - A short name of the game that was attached to the callback button.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR